use std::rc::Rc;

use crate::player::Player;

use super::Scene;

pub fn create_scene(scene_id: u32, player: Rc<Player>) -> Scene {
    let scene = Scene::new(scene_id);
    scene.set_own_player(player);

    scene
}
